{+

doc
+NOMBRE:
+CREACION:
+AUTORES:
+REGISTRO:
+TIPO: Unidad Pascal.
+PROPOSITO: Implementaci˘n de funciones de uso general en (SimEnerg) que
	dependen del dĦa del a¤o.
+PROYECTO: SOLAR.

+REVISION:
+AUTOR:
+DESCRIPCION:
-doc}

unit fdias02;
interface
uses
	NucleoT, VGlbs02;

{ Prototipo de las funciones reales que dependen del dĦa del a¤o }
type
	f_de_dia = function(ndia:T_DiaDelAnio):real;


{ TAmb, valor de la temperatura ambient en grados cetĦgrados,
 esta varible se mantiene actualizada }
var
	TAmb:real;
{ DarTempAmb, funci˘n que se utiliza para mantener actualizada la
 temperatuar ambiente. Por defecto esta variable tiene una funci˘n }
	DarTempAmb: f_De_Dia;

{ TemperaturaAmbiente, retorna la temperatra
ambiente para un dĦa determindo }
function TemperaturaAmbiente( ndia:T_DiaDelAnio): real;

{ Actualiza (TAmb), seg£n el DiaDelAnio de NucleoT }
procedure ActualizarTAmb;

implementation

procedure ActualizarTAmb;
begin
	TAmb:=TemperaturaAmbiente(DiaDelAnio);
end;

function TemperaturaAmbiente( ndia:T_DiaDelAnio): real;
var
  tamb: real;
begin
	case Estacion of
		verano: Tamb:=30;
		primavera, otonio: Tamb:= 15;
  else
		Tamb:= 5; //invierno:
	end;
  result:= tamb;
end;

begin
	Tamb:=15;
end.
